[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[coreutils] Re: [PATCH 1/2] tests: avoid rare FP failure in new du test
From: |
Jim Meyering |
Subject: |
[coreutils] Re: [PATCH 1/2] tests: avoid rare FP failure in new du test |
Date: |
Tue, 25 Jan 2011 18:30:13 +0100 |
Andreas Schwab wrote:
>> +# Prohibit suspension, which could otherwise cause a
>> timeout-induced FP failure.
>> +trap '' STOP TSTP
>
> SIGSTOP cannot be caught, blocked, or ignored.
Right, of course. Thanks:
>From d255e40c371d3d132ac6529a7e3468dab6fdabfd Mon Sep 17 00:00:00 2001
From: Andreas Schwab <address@hidden>
Date: Tue, 25 Jan 2011 18:29:07 +0100
Subject: [PATCH] tests: minor correction
* tests/du/move-dir-while-traversing: Ignoring SIGTSTP is enough;
don't also attempt to ignore SIGSTOP, it cannot be handled or ignored.
Spotted by Andreas Schwab.
---
tests/du/move-dir-while-traversing | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tests/du/move-dir-while-traversing
b/tests/du/move-dir-while-traversing
index 2a60d6e..68302b8 100755
--- a/tests/du/move-dir-while-traversing
+++ b/tests/du/move-dir-while-traversing
@@ -72,7 +72,7 @@ for i in $(seq 30); do
done
# Prohibit suspension, which could otherwise cause a timeout-induced FP
failure.
-trap '' STOP TSTP
+trap '' TSTP
timeout 6 ./inotify-watch-for-dir-access.py $t/3/a/b > start-msg &
--
1.7.3.5.38.gb312b